/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumDatatype;
import de.ship.db.tables.VInputVariable;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VInputVariableRecord extends TableRecordImpl<VInputVariableRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_input_variable.key_variable</code>.
     */
    public void setKeyVariable(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.key_variable</code>.
     */
    public Integer getKeyVariable() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.hier_lang</code>.
     */
    public void setHierLang(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.hier_lang</code>.
     */
    public String getHierLang() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.key_parent_element</code>.
     */
    public void setKeyParentElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.key_parent_element</code>.
     */
    public Integer getKeyParentElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.data_type</code>.
     */
    public void setDataType(EnumDatatype value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.data_type</code>.
     */
    public EnumDatatype getDataType() {
        return (EnumDatatype) get(3);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.fk_var_valuelist</code>.
     */
    public void setFkVarValuelist(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.fk_var_valuelist</code>.
     */
    public Integer getFkVarValuelist() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.var_order</code>.
     */
    public void setVarOrder(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.var_order</code>.
     */
    public Integer getVarOrder() {
        return (Integer) get(5);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.var_ecrf</code>.
     */
    public void setVarEcrf(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.var_ecrf</code>.
     */
    public Integer getVarEcrf() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.var_formposx</code>.
     */
    public void setVarFormposx(Integer value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.var_formposx</code>.
     */
    public Integer getVarFormposx() {
        return (Integer) get(7);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.var_formposy</code>.
     */
    public void setVarFormposy(Integer value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.var_formposy</code>.
     */
    public Integer getVarFormposy() {
        return (Integer) get(8);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.fk_var_inputtype</code>.
     */
    public void setFkVarInputtype(Integer value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.fk_var_inputtype</code>.
     */
    public Integer getFkVarInputtype() {
        return (Integer) get(9);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.default_value</code>.
     */
    public void setDefaultValue(Integer value) {
        set(10, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.default_value</code>.
     */
    public Integer getDefaultValue() {
        return (Integer) get(10);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.fk_var_inputhelp</code>.
     */
    public void setFkVarInputhelp(Integer value) {
        set(11, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.fk_var_inputhelp</code>.
     */
    public Integer getFkVarInputhelp() {
        return (Integer) get(11);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.label_position</code>.
     */
    public void setLabelPosition(Integer value) {
        set(12, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.label_position</code>.
     */
    public Integer getLabelPosition() {
        return (Integer) get(12);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.order_nr</code>.
     */
    public void setOrderNr(Integer value) {
        set(13, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.order_nr</code>.
     */
    public Integer getOrderNr() {
        return (Integer) get(13);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.dn</code>.
     */
    public void setDn(String value) {
        set(14, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.dn</code>.
     */
    public String getDn() {
        return (String) get(14);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.stage</code>.
     */
    public void setStage(Integer value) {
        set(15, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.stage</code>.
     */
    public Integer getStage() {
        return (Integer) get(15);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.short_name</code>.
     */
    public void setShortName(String value) {
        set(16, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.short_name</code>.
     */
    public String getShortName() {
        return (String) get(16);
    }

    /**
     * Setter for <code>common_dd.v_input_variable.unit_trans_key</code>.
     */
    public void setUnitTransKey(String value) {
        set(17, value);
    }

    /**
     * Getter for <code>common_dd.v_input_variable.unit_trans_key</code>.
     */
    public String getUnitTransKey() {
        return (String) get(17);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VInputVariableRecord
     */
    public VInputVariableRecord() {
        super(VInputVariable.V_INPUT_VARIABLE);
    }

    /**
     * Create a detached, initialised VInputVariableRecord
     */
    public VInputVariableRecord(Integer keyVariable, String hierLang, Integer keyParentElement, EnumDatatype dataType, Integer fkVarValuelist, Integer varOrder, Integer varEcrf, Integer varFormposx, Integer varFormposy, Integer fkVarInputtype, Integer defaultValue, Integer fkVarInputhelp, Integer labelPosition, Integer orderNr, String dn, Integer stage, String shortName, String unitTransKey) {
        super(VInputVariable.V_INPUT_VARIABLE);

        setKeyVariable(keyVariable);
        setHierLang(hierLang);
        setKeyParentElement(keyParentElement);
        setDataType(dataType);
        setFkVarValuelist(fkVarValuelist);
        setVarOrder(varOrder);
        setVarEcrf(varEcrf);
        setVarFormposx(varFormposx);
        setVarFormposy(varFormposy);
        setFkVarInputtype(fkVarInputtype);
        setDefaultValue(defaultValue);
        setFkVarInputhelp(fkVarInputhelp);
        setLabelPosition(labelPosition);
        setOrderNr(orderNr);
        setDn(dn);
        setStage(stage);
        setShortName(shortName);
        setUnitTransKey(unitTransKey);
        resetChangedOnNotNull();
    }
}
